<?php

namespace B2buy\Subscription\Repositories\Eloquent;

use B2buy\Subscription\Interfaces\SubscriptionRepositoryInterface;
use Litepie\Repository\BaseRepository;
use B2buy\Subscription\Repositories\Eloquent\Presenters\SubscriptionItemPresenter;


class SubscriptionRepository extends BaseRepository implements SubscriptionRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('b2buy.subscription.subscription.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('b2buy.subscription.subscription.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return SubscriptionItemPresenter::class;
    }
}
